Required. The brand to list order sessions for. Format: projects/{project}/locations/{location}/brands/{brand}
Query parameters
Parameters
pageSize
integer
Optional. The maximum number of session records to return. The service may return fewer than this value. If unspecified, at most 50 sessions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.
pageToken
string
Optional. A page token, received from a previous sessionRecords.list call. Provide this to retrieve the subsequent page.
filter
string
Optional. Filter expression based on AIP-160. This field allows filtering session records based on various attributes.
Supported Filter Fields:
session_id (String): The ID of the session. Operators: = Example: session_id = "session-123"
storeId (String): The ID of the store. Operators: =, != Example: storeId = "store-123"
sessionStartTime (Timestamp): The start time of the session. Timestamps expect an RFC-3339 formatted string (e.g. 2012-04-21T11:30:00-04:00). UTC offsets are supported Operators: =, !=,
outcomeLabel (String): The final outcome label of the session. Operators: =, != Example: outcomeLabel = "SUCCESS"
outcomeGroupLabel (String): The group label for the session outcome. Operators: =, != Example: outcomeGroupLabel = "SUCCESS"
predictedFailureCategory (String): The predicted failure category for the session from the intervention analysis. Operators: =, != Example: predictedFailureCategory = "Menu"
agent_utterances (String): Text spoken by the agent. Operator: : (HAS token/Full Text Search) Example: agent_utterances:"anything else"
user_utterances (String): Text spoken by the user. Operator: : (HAS token/Full Text Search) Example: user_utterances:"burger"
Logical Operators:
Conditions can be combined using AND, OR, and NOT. Parentheses () can be used to group expressions to control the order of evaluation. Example: (user_utterances:"help" OR agent_utterances:"issue")
AND storeId != "test-store" Example: user_utterances:"order" AND
sessionStartTime >= "2025-10-03T00:00:00Z"
Request body
The request body must be empty.
Response body
Response message for [SessionRecordService.ListSessionRecords][].
If successful, the response body contains data with the following structure:
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-05-21 UTC."],[],[]]